Subject: Re: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focuswhenitcalls`list-processes'

From: martin rudalics <[email-masked]>
Date: Tue, 07 Aug 2012 10:58:25 +0200

>> If, with emacs -Q, I do
 >> (progn
 >>    (load ".../with-temp-buffer-window.el")
 >>    (setq special-display-buffer-names '("*Process List*"))
 >>    (display-buffer (get-buffer-create "*Process List*")))
 >>
 >> I get the buffer *Process List* on a separate frame, in a strongly
 >> dedicated window
 >
 > I do too (following that recipe from emacs -Q), the dedicatedness being judged
 > by trying to do C-x b in it and getting this error message:
 >
 >  switch-to-buffer: Cannot switch buffers in a dedicated window

QED

 >> and with a `quit-restore' window parameter as
 >>
 >> ((quit-restore frame frame #<window 3 on *scratch*> #<buffer
 >> *Process List*>))
 >
 > No, there is still no `quit-restore' parameter, according to `frame-parameters'.
 >
 >> If I do `quit-window' in that window, the frame is iconified.
 >
 > Same here.  This is with Emacs 24.1.
 >
 >> Tested with Emacs 24.1 release and the latest trunk version I
 >> was able to build.  If you get different results, there's nothing I can do.
 >
 > HTH.  This test does not involve a standalone minibuffer or other things that
 > are in my setup.  But at least you can see that parameter `quit-restore' is
 > missing.

You cannot see that it is not missing.

martin